export interface IFlags {
    [K: string]: boolean;
}
export declare class FlagsManager {
    flags: IFlags;
    private _flags;
    register(key: string): void;
    saveFlag(key: string, value: boolean): void;
    getFlag(key: string): boolean;
    readFlag(key: string): boolean;
    persistFlag(key: string, value: boolean): void;
}
export declare const Flags: FlagsManager;
